View Issue Details

IDProjectCategoryView StatusLast Update
0016597Buildsyscommunity buildsyspublic2019-10-21 00:42
Reporterhhorak 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Summary0016597: SCLo SIG: Create CBS tags for new maven, nodejs, postgresql, python, nginx, php, devtoolset SCLs
DescriptionPlease, create tags/targets/buildroots for the following new software collections:

  devtoolset-9
  rh-nginx116
  rh-maven36
  rh-postgresql12
  rh-nodejs12
  rh-php73
  rh-python38

For devtoolset-9, please, create both el6 and el7 branches.
For el6, only x86_64 is enough.
For el7, enable all arches (x86_64, aarch64, ppc64le).

For all the rest of SCLs, we only need el7 tags and would like to build on all arches available in cbs (x86_64, aarch64, ppc64le).

Please, also set the following tag inheritance:

koji add-tag-inheritance sclo7-rh-php73-rh-el7-build sclo7-httpd24-rh-candidate --priority 15

koji add-tag-inheritance sclo7-rh-nginx116-rh-el7-build sclo7-rh-perl526-rh-candidate --priority 15
koji add-tag-inheritance sclo7-rh-nginx116-rh-el7-build sclo7-httpd24-rh-candidate --priority 16

koji add-tag-inheritance sclo7-rh-nodejs12-rh-el7-build sclo7-devtoolset-8-rh-candidate --priority 15
koji add-tag-inheritance sclo7-rh-nodejs12-rh-el7-build sclo7-devtoolset-8-rh-candidate --priority 16
koji add-tag-inheritance sclo7-rh-nodejs12-rh-el7-build sclo7-devtoolset-9-rh-candidate --priority 17

koji add-tag-inheritance sclo7-rh-maven36-rh-el7-build sclo7-rh-java-common-rh-candidate --priority 15
koji add-tag-inheritance sclo7-rh-maven36-rh-el7-build sclo7-rh-maven35-rh-candidate --priority 16

koji add-tag-inheritance sclo7-rh-python38-rh-el7-build sclo7-httpd24-rh-candidate --priority 15

Thanks!
TagsNo tags attached.

Activities

alphacc

alphacc

2019-10-15 15:58

developer   ~0035487

Last edited: 2019-10-15 16:01

View 2 revisions

Hi,

it's done. let me know if you find issues !

PS : you repeated twice koji add-tag-inheritance sclo7-rh-nodejs12-rh-el7-build sclo7-devtoolset-8-rh-candidate --priority 16 Do you need devtoolset-7 ?

Thomas

hhorak

hhorak

2019-10-15 17:33

reporter   ~0035488

Yes, devtoolset-7 was meant to be the first one for rh-nodejs12, as we don't know yet what version to use, so better be ready for all. So, please, add that dependency as well. Thanks a lot for a quick resolution!!
alphacc

alphacc

2019-10-15 20:55

developer   ~0035491

done !

Issue History

Date Modified Username Field Change
2019-10-15 14:44 hhorak New Issue
2019-10-15 15:58 alphacc Note Added: 0035487
2019-10-15 16:01 alphacc Note Edited: 0035487 View Revisions
2019-10-15 17:33 hhorak Note Added: 0035488
2019-10-15 20:55 alphacc Status new => resolved
2019-10-15 20:55 alphacc Resolution open => fixed
2019-10-15 20:55 alphacc Note Added: 0035491